commit:     4f91a09d70dacc12ba022f3c7da4dcbb7af48b66
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 29 09:20:52 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Jul 29 09:20:52 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f91a09d

app-metrics/pushgateway: Version bump to 0.9.0

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 app-metrics/pushgateway/Manifest                 |  1 +
 app-metrics/pushgateway/pushgateway-0.9.0.ebuild | 52 ++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/app-metrics/pushgateway/Manifest b/app-metrics/pushgateway/Manifest
index 6cd68959551..a0ce15126a1 100644
--- a/app-metrics/pushgateway/Manifest
+++ b/app-metrics/pushgateway/Manifest
@@ -1,2 +1,3 @@
 DIST pushgateway-0.7.0.tar.gz 1867703 BLAKE2B 
588be72ba8f7b8421e36e7cb33ecc27e8f94c242e03d7a97b2f1f54c167373162a9e9e7dba63897e583331370b96723169359ebd78839a0bd1306f850dc24cc1
 SHA512 
2057c028e2427a9d63ad2fc47a0f367a9b075c259186659c7d20038d79aaa4f5a014a4304d36eee2e78c08af69e27f7f65e6aed2453c4fa630203fd4bf944c41
 DIST pushgateway-0.8.0.tar.gz 1869626 BLAKE2B 
43c288c481160807324f4d247a9d03b1696be934e97dc852f0ee6732d56715a2c78b451247f62f5cd0d93d9ceff64b54ccb20a91d78496a915271b9080d5832c
 SHA512 
fdb8b3e1cd11b7faa329e1b625c7d2d98635624f32623ae99a7bb1cf2222ed682cb9c031afec191a5426d6fafade7bb92add7dc607898e4a839252aca5f1d71c
+DIST pushgateway-0.9.0.tar.gz 4722706 BLAKE2B 
6d024819a4729cb4e728a0d1b654be94881e4a439c734655a33f5dc7c978d09205bf97e51668c2da68319df14bf802a142342483c679f4add3bf2d0992f8bef2
 SHA512 
0dd98f3e35e2d13e4e5e30ee398121b663ebfde240654c49f44bb0b765065f35ecefd9ddaad706f7b9a5365ea2ef1afdebe57441fa2c18c211a8670d795719b0

diff --git a/app-metrics/pushgateway/pushgateway-0.9.0.ebuild 
b/app-metrics/pushgateway/pushgateway-0.9.0.ebuild
new file mode 100644
index 00000000000..ba7d4f8d54e
--- /dev/null
+++ b/app-metrics/pushgateway/pushgateway-0.9.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot systemd
+
+EGO_PN="github.com/prometheus/pushgateway"
+EGIT_COMMIT="v${PV/_rc/-rc.}"
+GIT_COMMIT="44d7ae6"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Prometheus push acceptor for ephemeral and batch jobs"
+HOMEPAGE="https://github.com/prometheus/pushgateway";
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=dev-lang/go-1.12
+       >=dev-util/promu-0.3.0"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+src_prepare() {
+       default
+       sed -i -e "s/{{.Revision}}/${GIT_COMMIT}/" src/${EGO_PN}/.promu.yml || 
die
+}
+
+src_compile() {
+       pushd src/${EGO_PN} || die
+       mkdir -p bin || die
+       GO111MODULE=on GOPATH="${S}" promu build -v --prefix bin || die
+       popd || die
+}
+
+src_install() {
+       pushd src/${EGO_PN} || die
+       dobin bin/pushgateway
+       dodoc {README,CHANGELOG,CONTRIBUTING}.md
+       popd || die
+       keepdir /var/lib/${PN} /var/log/${PN}
+       fowners ${PN}:${PN} /var/lib/${PN} /var/log/${PN}
+       newinitd "${FILESDIR}"/${PN}-1.initd ${PN}
+       newconfd "${FILESDIR}"/${PN}-1.confd ${PN}
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+       systemd_dounit "${FILESDIR}/${PN}-1.service"
+}

Reply via email to